Retrieve a transaction
Fetch a transaction by ID.
GET
/
v1
/
transactions
/
:id
curl https://api.zquence.com/v1/transactions/tx_01HX3ZM... \
-H "x-api-key: $ZQUENCE_PUBLIC_KEY" \
-H "x-api-secret: $ZQUENCE_SECRET_KEY"
{
"id": "tx_01HX3ZM...",
"status": "funded",
"amount": 1850000,
"currency": "EUR",
"seller": { "userId": "usr_seller_...", "accepted": true },
"buyer": { "userId": "usr_buyer_...", "accepted": true },
"timeline": { "deliveryDays": 7, "inspectionDays": 3 },
"history": [
{ "status": "created", "at": "2026-04-22T11:00:00.000Z" },
{ "status": "invited", "at": "2026-04-22T11:00:02.000Z" },
{ "status": "accepted", "at": "2026-04-22T11:12:44.000Z" },
{ "status": "funded", "at": "2026-04-22T11:40:02.000Z" }
]
}
Path parameters
Returns
A full transaction object, including timeline, counterparty status, and status history.curl https://api.zquence.com/v1/transactions/tx_01HX3ZM... \
-H "x-api-key: $ZQUENCE_PUBLIC_KEY" \
-H "x-api-secret: $ZQUENCE_SECRET_KEY"
{
"id": "tx_01HX3ZM...",
"status": "funded",
"amount": 1850000,
"currency": "EUR",
"seller": { "userId": "usr_seller_...", "accepted": true },
"buyer": { "userId": "usr_buyer_...", "accepted": true },
"timeline": { "deliveryDays": 7, "inspectionDays": 3 },
"history": [
{ "status": "created", "at": "2026-04-22T11:00:00.000Z" },
{ "status": "invited", "at": "2026-04-22T11:00:02.000Z" },
{ "status": "accepted", "at": "2026-04-22T11:12:44.000Z" },
{ "status": "funded", "at": "2026-04-22T11:40:02.000Z" }
]
}
⌘I
curl https://api.zquence.com/v1/transactions/tx_01HX3ZM... \
-H "x-api-key: $ZQUENCE_PUBLIC_KEY" \
-H "x-api-secret: $ZQUENCE_SECRET_KEY"
{
"id": "tx_01HX3ZM...",
"status": "funded",
"amount": 1850000,
"currency": "EUR",
"seller": { "userId": "usr_seller_...", "accepted": true },
"buyer": { "userId": "usr_buyer_...", "accepted": true },
"timeline": { "deliveryDays": 7, "inspectionDays": 3 },
"history": [
{ "status": "created", "at": "2026-04-22T11:00:00.000Z" },
{ "status": "invited", "at": "2026-04-22T11:00:02.000Z" },
{ "status": "accepted", "at": "2026-04-22T11:12:44.000Z" },
{ "status": "funded", "at": "2026-04-22T11:40:02.000Z" }
]
}